# how to setup a new server for our internal use
```
hostnamectl set-hostname pizza.method
```
# Install dependancies for docker
```
sudo apt-get install     apt-transport-https     ca-certificates     curl     gnupg     lsb-release
```
# seth docker key
```
curl -fsSL https://download.docker.com/linux/ubuntu/gpg | sudo gpg --dearmor -o /usr/share/keyrings/docker-archive-keyring.gpg
echo   "deb [arch=amd64 signed-by=/usr/share/keyrings/docker-archive-keyring.gpg] https://download.docker.com/linux/ubuntu \
  $(lsb_release -cs) stable" | sudo tee /etc/apt/sources.list.d/docker.list > /dev/null
```
# update the repository listings
```
sudo apt-get update
```
# install docker
```
sudo apt-get install docker-ce docker-ce-cli containerd.io
```
# add the docker group
```
sudo groupadd docker
```
# add the current user to the docker group
```
sudo usermod -aG docker $USER
```
# enable the docker service
```
sudo systemctl enable docker.service
sudo systemctl enable containerd.service
```
# setup portrainer.... (we should use a docker-compose instead)
```
docker run -d -p 8000:8000 -p 9000:9000 --name=portainer --restart=always -v /var/run/docker.sock:/var/run/docker.sock -v portainer_data:/data portainer/portainer-ce
```
# setup tutor to install OPEN.EDX
```
sudo curl -L "https://github.com/overhangio/tutor/releases/download/v15.1.0/tutor-$(uname -s)_$(uname -m)" -o /usr/local/bin/tutor
```
# make tutor executable
```
sudo chmod 0755 /usr/local/bin/tutor
```
# install docker compose
```
sudo curl -L "https://github.com/docker/compose/releases/download/2.14.1/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose
```
# make docker compose executable
```
sudo chmod +x /usr/local/bin/docker-compose
```
# add it to my path
```
sudo ln -s /usr/local/bin/docker-compose /usr/bin/docker-compose
```
# lets start the install
```
tutor local quickstart
```
#
```
echo "git+https://github.com/open-craft/xblock-poll.git" >> "$(tutor config printroot)/env/build/openedx/requirements/private.txt"
```
#
```
tutor images build openedx
```
# create the superusers
```
tutor local createuser --staff --superuser Llewellyn demo@email.com
tutor local createuser --staff --superuser Roline demo2@email.com
```
# load the demo cource
```
tutor local importdemocourse
```

# create staff
```
tutor local createuser --staff Sanri demo3@email.com
```
